Firmware Atmosphère 0.8.8 released, now compatible with firmware 8.0.0

Discussion in 'GBAtemp & Scene News' started by RattletraPM, Apr 20, 2019.

  1. Wario

    Wario Member

    Newcomer
    1
    Mar 11, 2019
    United States
    If someone has an unpatched "nVidia Tegra" Switch and chooses to update to OFW 8.0 and run Atmosphere 0.8.8 it will forever be through a hardware dongle. Super slim chance of soft mod only via something like Deja Vu because that's been patch by Nintendo in 8.0. Decisions. Decisions.
     
  2. Chocola

    Chocola GBAtemp Meowgular

    Member
    3
    Sep 18, 2018
    Korea, South
    Neko Paradise
    The unpatched units can downgrade when you like, so isn't decisions at all xD
     
    phonz likes this.
  3. Draxzelex

    Draxzelex GBAtemp Legend

    Member
    18
    Aug 6, 2017
    United States
    New York City
    Also not really a decision when you can update without burning fuses in the first place.

    Scratch updating without burning fuses, 8.0 has the same fuse count of 7.X so you can downgrade as long as you don't burn any more fuses in the future.
     
  4. stitchxd

    stitchxd GBAtemp Fan

    Member
    4
    Apr 27, 2017
    United States
    nope
    I tried a couple of my own hand made themes. the apps menu the app selection outline doesn't move :/ usable, but broken. It's possible I need to rebuild the themes with the 8.0 home menu though too.
     
    crow132 likes this.
  5. JACMAN

    JACMAN Advanced Member

    Newcomer
    2
    May 30, 2018
    United States
    i keep getting the same issue and I've tried everything.any idea?
     
  6. regar2314

    regar2314 Newbie

    Newcomer
    2
    Apr 16, 2019
    Israel
    Nice
     
  7. garco

    garco Advanced Member

    Newcomer
    5
    Jun 28, 2006
    Italy
    So is it possible to downgrade? How? Now I'm on 8.0 don't risk the brick for the fuse?
     
  8. Draxzelex

    Draxzelex GBAtemp Legend

    Member
    18
    Aug 6, 2017
    United States
    New York City
    Its always been possible to downgrade. Burnt fuses make downgrading a bit more of a hassle but as long as your console is vulnerable to Fusee Gelee, you can technically boot any firmware. This is because all of the bootloaders aka the payloads that boot CFW bypass the fuse check automatically allowing CFW to load any firmware regardless of the fuse count. This doesn't mean you can downgrade if an untethered coldboot exploit is released on a lower firmware as you would need to use Fusee Gelee to bypass the fuse check in order to use the untethered coldboot exploit meaning you would need to use double the exploits to use one (under the assumption the untethered coldboot exploit doesn't bypass the fuse check). And you still risk bricking if you try booting a firmware lower than the fuse count since the fuses are a hardware feature meaning they cannot be permanently disabled. The simple workaround is enabling AutoRCM on a firmware lower than the fuse count. For reference, you can find a list of fuses and their respective firmwares here.
     
  9. garco

    garco Advanced Member

    Newcomer
    5
    Jun 28, 2006
    Italy
    Thanks, so the 7.0.1 and 8.0 are the same fuses. The downgrade is possible right?
     
  10. Chocola

    Chocola GBAtemp Meowgular

    Member
    3
    Sep 18, 2018
    Korea, South
    Neko Paradise
    The fuse count are the same, so you can downgrade to 7.0.1 and boot with OFW without issues
     
  11. axiomjunglist

    axiomjunglist Member

    Newcomer
    3
    Jan 7, 2019
    United States
    I just downloaded the new (exists at the same Pg. 1 source link) Atmo package & Fusee-Primary bin file. Fusee-Primary is the only launch option currently working in Hekate 4.9.1. Reportedly Sys-Clk isn't working in Atmo 8.0.0 either so I skipped copying its Title folder over this time and finally booted all the way successfully.

    Big thanks to all the posters helping myself & others along the way!
     
    Last edited by axiomjunglist, Apr 21, 2019
  12. Wario

    Wario Member

    Newcomer
    1
    Mar 11, 2019
    United States

    Downgrading to an older OFW providing you made a backup of it or downgrading to any OFW from anyone/anywhere.
     
  13. Chocola

    Chocola GBAtemp Meowgular

    Member
    3
    Sep 18, 2018
    Korea, South
    Neko Paradise
    Always that you use a custom bootloader or prevent the fuse burn on update, he are asking about fuse bricks (the kernel throw error at boot if you have more fuses burnt that expected)
     
  14. rick191

    rick191 Member

    Newcomer
    2
    Dec 4, 2015
    United States
    My switch is unpatched but after reading some posts in this thread I'm guessing I messed up by updating to 8.0 and trying to run atmosphere 0.8.8 because I keep getting error 2168-0002 however it boots fine with OFW?

    I made a backup back in september and in the backup folder I have my rawnand.bin and a few other files so what is the best option for me?
     
  15. Zumoly

    Zumoly GBATemp Analyst

    Member
    8
    Apr 27, 2018
    Mali
    Yorosso
    What else arw you running alonside atmosphere? Did you overwrite your previous setup? If so try deleting cfw files and copy only the release files. You could try addind your mods/patches one by one after you boot successfully and see which one is causing the issue.
     
  16. rick191

    rick191 Member

    Newcomer
    2
    Dec 4, 2015
    United States
    I was on 7.0.1 and I used the sdsetup site to download the zip file and copy the contents to the SD cards, could you please confirm if updating to 8.0 actually breaks the exploit did I make a mistake?

    I'm going to try adding mods and patches one by one.
     
    Last edited by rick191, Apr 21, 2019
  17. Zumoly

    Zumoly GBATemp Analyst

    Member
    8
    Apr 27, 2018
    Mali
    Yorosso
    You are mostly using Kosmos which has not been updated yet for fw 8. Atmosphere recently got updated and you should use it for now before Kosmos gets support for 8.
    For the release files, check the first post.
     
    rick191 likes this.
  18. Clockdryve

    Clockdryve Advanced Member

    Newcomer
    2
    Mar 10, 2019
    United States
    So I update fusee-primary and atmosphere 0.8.8 (I'm on 0.8.4), and this does nothing negative to anything running now on my 254Gb ExFat SD card? If I choose to stay on 6.2.0 AutoRCM after 4.2.0 "no fuse burn" update......and I'll be all good? EXCEPT if I choose to update CFW - I need to rework my keys again I suppose? An update to 8.0 would also alter my NSP compatibility, so they must be reconfigured again for my switch with these "new" keys in FW 8.0??
     
    Last edited by Clockdryve, Apr 21, 2019
  19. Draxzelex

    Draxzelex GBAtemp Legend

    Member
    18
    Aug 6, 2017
    United States
    New York City
    I think you've confused yourself so much you're confusing me.

    Not sure what you mean by "4.2" but Atmosphere should work on all firmwares including this latest release. The issue is most likely trying to boot CFW on an exFAT formatted SD card. Reformat the SD card to FAT32. Since your SD card is larger than 32 GB, you will have to format without the Windows formatter. Use something like GUIFormat.

    And I cannot fathom any reason why your currently installed content would need the new keys when the keys are already on the console. Its not like whenever you update your firmware normally, suddenly your eShop purchases no longer work. Keys only need to be redumped if you are trying to convert or extract a game on your computer that is encrypted with a newer masterkey found only on the later firmwares. This is correlated to the firmware requirements of the game, not so much the release date (e.g. Smash works on 5.1 despite being released around the time 6.2 was out).

    Lastly, Switch doesn't use .CIA files.
     
  20. Ali3n90

    Ali3n90 Member

    Newcomer
    2
    Feb 17, 2019
    United States
    Your error might be caused by a theme. Try to delete the themes.
     
    Liv2MsTrb8T likes this.
Loading...